Bug 1411934 - pkgdb-cli acl foo all outputs "syntax error: line 1, column 0"
Summary: pkgdb-cli acl foo all outputs "syntax error: line 1, column 0"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: packagedb-cli
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 19:07 UTC by Jason Tibbitts
Modified: 2018-08-16 06:57 UTC (History)
3 users (show)

Fixed In Version: packagedb-cli-2.14.1-1.fc25 packagedb-cli-2.14.1-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-21 19:22:18 UTC
Type: Bug


Attachments (Terms of Use)

Description Jason Tibbitts 2017-01-10 19:07:28 UTC
Since the project hasn't migrated to pagure, I'm not sure if you'd want tickets here or in trac.  Amazingly it seems easier to use bugzilla over trac these days.

Anyway, running "pkdbc-cli acl xu4 all" (or any other package instead of xu4) gives a few odd lines in the output:

ἐπιθυμία:/nas/linux/yum/fedora/25/x86_64/local/RPMS❯ pkgdb-cli --verbose acl xu4 all
INFO:pkgdb-cli:package    : xu4
INFO:pkgdb-cli:branch     : all
INFO:pkgdb-cli:namespace  : rpms
Fedora Package Database -- rpms/xu4
Ultima IV recreated
0 bugs open (new, assigned, needinfo)

master  Point of Contact:     tibbs
                        watchbugzilla   watchcommits    commit          approveacls
        ACLs:
          cstratak                                                      Denied
   group::provenpackager                                Approved
          tibbs         Approved        Approved        Approved        Approved
syntax error: line 1, column 0

f25     Point of Contact:     tibbs
                        watchbugzilla   watchcommits    commit          approveacls
        ACLs:
          cstratak                                                      Denied
   group::provenpackager                                Approved
          tibbs         Approved        Approved        Approved        Approved
syntax error: line 1, column 0
syntax error: line 1, column 0

f24     Point of Contact:     tibbs
                        watchbugzilla   watchcommits    commit          approveacls
        ACLs:
          cstratak                                                      Denied
   group::provenpackager                                Approved
          tibbs         Approved        Approved        Approved        Approved
syntax error: line 1, column 0
syntax error: line 1, column 0

I haven't tried to dig into what's causing it, though.

Comment 1 Pierre-YvesChibon 2017-01-11 10:51:58 UTC
Thanks for the report, it's fixed in https://github.com/fedora-infra/packagedb-cli/pull/112

Comment 2 Jason Tibbitts 2017-01-13 01:03:51 UTC
Looks like the package updated from 2.13-2 to 2.14-1 since I originally filed that, and now instead of the "syntax error" line I'm getting:

global name 'arg' is not defined

in exactly the same places.  I haven't had a chance to try your your pull, though, to see if it makes any difference.

Comment 3 Fedora Update System 2017-01-19 10:55:54 UTC
packagedb-cli-2.14.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-797a5e2411

Comment 4 Fedora Update System 2017-01-19 10:56:02 UTC
packagedb-cli-2.14.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-86fcb28e80

Comment 5 Fedora Update System 2017-01-19 10:56:08 UTC
packagedb-cli-2.14.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fea48662f7

Comment 6 Fedora Update System 2017-01-20 18:47:09 UTC
packagedb-cli-2.14.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-86fcb28e80

Comment 7 Fedora Update System 2017-01-20 19:20:38 UTC
packagedb-cli-2.14.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fea48662f7

Comment 8 Fedora Update System 2017-01-20 19:55:20 UTC
packagedb-cli-2.14.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-797a5e2411

Comment 9 Fedora Update System 2017-01-21 19:22:18 UTC
packagedb-cli-2.14.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-08-16 06:57:22 UTC
packagedb-cli-2.14.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.